* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

#div-1 {
	background-color: green;
	display: block;
}

#span-1 {
	background-color: purple;
	display: inline-block;
	width: 200px;
	height: 200px;
	vertical-align: top;
}

#span-2 {
	background-color: red;
	display: none;
}

#div-2 {
	background-color: hotpink;
	display: none;
}

#img {
	display: inline-block;
	width: 200px;
	height: 200px;
}

#p-1 {
	background-color: #87CEFA;
}

#p-2 {
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float property*/
.img-float {
	width: 250px;
	height: 250px;
	float: inherit;
	/*other values for float = inherit,left,right*/
}

.box {
	background-color: yellow;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 100px;
}

.parent {
	width: 135px;
	border: 2px solid orange;
	font-size: 30px;
}

.fifty-vw {
	width: 50vw;
	/*vw iniignore ang parent*/
}

.twenty-five-vh {
	height: 25vh;
}

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

/*
	rem - use its root element as reference (default = 16px) 
		(root element is si html)
		html {
			font size:  20px;
		}
	em - use its parent element as reference
*/
/*example: 
	<div> 20px
		<div> .5em (10px)
			<div> .5em (5px) (sinunod yung parent na 10px)

*/

.two-hundred-percent {
	font-size: 200%;
}

.background {
	min-height: 20rem;
	/*background-color: gray;*/
	/*we can also use #808080 or rgb (128, 128, 128)*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	/*other values for size: 50%, cover, auto*/
	background-position: center top;
	/*pag px gagamitin, e.g. 50px  100px (x-axis y-axis)*/
	background-attachment: fixed;
	/*scroll - default
		fixed - fixed sa pinaka background
	*/

}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.parent-element {
	background-color: skyblue;
	padding: 10px;
	height: 800vh;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	position: sticky;
	/*position:  static (default), relative (fixed sa margin), 
				fixed(parang nav bar), sticky (nagsstick pag nasasagasaan)*/
	/*left: 10px;
	bottom: 10px;*/
	top: 10px;

}

.child-three {
	background-color: gray;
	padding: 10px;
}

/*html {
	height: 800vh;
}*/

.container {
	position: relative;
}

.black-box {
	border: 2px solid black;
	height: 100px;
	position: relative;
	z-index: 1;
	margin: 30px;
}

.gray-box {
	background: lightgray;
	height: 60px;
	position: absolute;
	z-index: 3;
	width: 70%;
	left: 50px;
	top: 50px;

}

.green-box {
	background: lightgreen;
	height: 100px;
	position: absolute;
	z-index: 2;
	width: 350px;
	height: 100px;
}

